<?php

add_action( 'admin_menu', 'electrician_services_gettingstarted' );
function electrician_services_gettingstarted() {
	add_theme_page( esc_html__('Theme Documentation', 'electrician-services'), esc_html__('Theme Documentation', 'electrician-services'), 'edit_theme_options', 'electrician-services-guide-page', 'electrician_services_guide');
}

function electrician_services_admin_theme_style() {
   wp_enqueue_style('electrician-services-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'electrician_services_admin_theme_style');

if ( ! defined( 'ELECTRICIAN_SERVICES_SUPPORT' ) ) {
	define('ELECTRICIAN_SERVICES_SUPPORT',__('https://wordpress.org/support/theme/electrician-services','electrician-services'));
}
if ( ! defined( 'ELECTRICIAN_SERVICES_REVIEW' ) ) {
	define('ELECTRICIAN_SERVICES_REVIEW',__('https://wordpress.org/support/theme/electrician-services/reviews/#new-post','electrician-services'));
}
if ( ! defined( 'ELECTRICIAN_SERVICES_LIVE_DEMO' ) ) {
	define('ELECTRICIAN_SERVICES_LIVE_DEMO',__('https://www.ovationthemes.com/demos/electrician-services/','electrician-services'));
}
if ( ! defined( 'ELECTRICIAN_SERVICES_BUY_PRO' ) ) {
	define('ELECTRICIAN_SERVICES_BUY_PRO',__('https://www.ovationthemes.com/wordpress/electrical-wordpress-theme/','electrician-services'));
}
if ( ! defined( 'ELECTRICIAN_SERVICES_PRO_DOC' ) ) {
	define('ELECTRICIAN_SERVICES_PRO_DOC',__('https://www.ovationthemes.com/docs/ot-electrician-services-pro-doc','electrician-services'));
}
if ( ! defined( 'ELECTRICIAN_SERVICES_THEME_NAME' ) ) {
	define('ELECTRICIAN_SERVICES_THEME_NAME',__('Premium Electrical Theme','electrician-services'));
}

/**
 * Theme Info Page
 */
function electrician_services_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme(); ?>

	<div class="getting-started__header">
		<div class="col-md-10">
			<h2><?php echo esc_html( $theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'electrician-services'); ?><?php echo esc_html($theme['Version']);?></p>
		</div>
		<div class="col-md-2">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( ELECTRICIAN_SERVICES_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'electrician-services'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( ELECTRICIAN_SERVICES_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'electrician-services'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="container">
			<div class="col-md-9">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','electrician-services'); ?></h3>
					<p><?php esc_html_e('To step the electrician services theme follow the below steps.','electrician-services'); ?></p>

					<h4><?php esc_html_e('1. Setup Logo','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Site Identity >> Upload your logo or Add site title and site description.','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','electrician-services'); ?></a>

					<h4><?php esc_html_e('2. Setup Contact Info','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Contact info >> Add your phone number and email address.','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=electrician_services_header') ); ?>" target="_blank"><?php esc_html_e('Add Contact Info','electrician-services'); ?></a>

					<h4><?php esc_html_e('3. Setup Menus','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Menus >> Create Menus >> Add pages, post or custom link then save it.','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Add Menus','electrician-services'); ?></a>

					<h4><?php esc_html_e('4. Setup Social Icons','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Social Media >> Add social links.','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=electrician_services_urls') ); ?>" target="_blank"><?php esc_html_e('Add Social Icons','electrician-services'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Widgets >> Add widgets in footer 1, footer 2, footer 3, footer 4. >> ','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widgets','electrician-services'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer Text','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Footer Text >> Add copyright text. >> ','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=electrician_services_footer_copyright') ); ?>" target="_blank"><?php esc_html_e('Footer Text','electrician-services'); ?></a>

					<h3><?php esc_html_e('Setup Home Page','electrician-services'); ?></h3>
					<p><?php esc_html_e('To step the home page follow the below steps.','electrician-services'); ?></p>

					<h4><?php esc_html_e('1. Setup Page','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Pages >> Add New Page >> Select "Custom Home Page" from templates >> Publish it.','electrician-services'); ?></p>
					<a class="dashboard_add_new_page button-primary"><?php esc_html_e('Add New Page','electrician-services'); ?></a>

					<h4><?php esc_html_e('2. Setup Slider','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','electrician-services'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Slider Settings >> Select post.','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=electrician_services_slider_section') ); ?>" target="_blank"><?php esc_html_e('Add Slider','electrician-services'); ?></a>

					<h4><?php esc_html_e('3. Setup Project','electrician-services'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Category >> Add Category Name >> Publish it.','electrician-services'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content, select category and featured image >> Publish it.','electrician-services'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Project Section Settings >> Select category','electrician-services'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=electrician_services_project_section') ); ?>" target="_blank"><?php esc_html_e('Add Projects','electrician-services'); ?></a>
				</div>
          	</div>
			<div class="col-md-3">
				<h3><?php echo esc_html(ELECTRICIAN_SERVICES_THEME_NAME); ?></h3>
				<img class="electrician_services_img_responsive" style="width: 100%;" src="<?php echo esc_url( $theme->get_screenshot() ); ?>" />
				<div class="pro-links">
					<hr>
					<a class="button-primary buynow" href="<?php echo esc_url( ELECTRICIAN_SERVICES_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'electrician-services'); ?></a>
					<a class="button-primary livedemo" href="<?php echo esc_url( ELECTRICIAN_SERVICES_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'electrician-services'); ?></a>
					<a class="button-primary docs" href="<?php echo esc_url( ELECTRICIAN_SERVICES_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'electrician-services'); ?></a>
					<hr>
				</div>
				<ul style="padding-top:10px">
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'electrician-services');?> </li>
                    <li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'electrician-services');?> </li>
                   	<li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'electrician-services');?> </li>
                   	<li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'electrician-services');?> </li>
                   	<li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'electrician-services');?> </li>
                   	<li class="upsell-electrician_services"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'electrician-services');?> </li>
                </ul>
        	</div>
		</div>
	</div>

<?php }?>
